DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DcmInputStreamFactory Class Referenceabstract

pure virtual abstract base class for input stream factories, i.e. More...

Inheritance diagram for DcmInputStreamFactory:

## Public Member Functions
virtual | ~DcmInputStreamFactory ()
| destructor
virtual DcmInputStream * | create () const =0
| create a new input stream object
virtual DcmInputStreamFactory * | clone () const =0
| returns a pointer to a copy of this object
virtual DcmInputStreamFactoryType | ident () const =0
| returns an enum describing the class to which this instance belongs

## Detailed Description

pure virtual abstract base class for input stream factories, i.e.

objects that can create a new input stream

## Member Function Documentation

## ◆ clone()

virtual DcmInputStreamFactory * DcmInputStreamFactory::clone | ( |  | ) | const
| pure virtual

returns a pointer to a copy of this object

Returns
  pointer to a copy of this object

Implemented in DcmInputFileStreamFactory, and DcmInputTempFileStreamFactory.

## ◆ create()

virtual DcmInputStream * DcmInputStreamFactory::create | ( |  | ) | const
| pure virtual

create a new input stream object

Returns
  pointer to new input stream object

Implemented in DcmInputFileStreamFactory, and DcmInputTempFileStreamFactory.

## ◆ ident()

virtual DcmInputStreamFactoryType DcmInputStreamFactory::ident | ( |  | ) | const
| pure virtual

returns an enum describing the class to which this instance belongs

Returns
  class to which this instance belongs

Implemented in DcmInputFileStreamFactory, and DcmInputTempFileStreamFactory.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcistrma.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2